Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006909 [DCSS] Implementables feature N/A 2013-04-13 01:04 2013-08-10 10:59
Reporter dpeg View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0006909: Amnesia scroll interface: list spells
Description Suggested by blacksheep on the forum:
Because forgetting a spell is such an important decision, I always want to see the spell list to make sure I'm choosing the right one. The other targeted scrolls pop up a menu when read, and I think amnesia should too.

+1 by dpeg
Additional Information
Tags patch
Attached Files ? file icon 0001-Make-scrolls-of-amnesia-display-the-spell-list-immed.patch [^] (1,607 bytes) 2013-04-14 18:08 [Show Content]

- Relationships

-  Notes
(0022286)
BlackSheep (reporter)
2013-04-14 18:09

Patch added. I fiddled around a lot trying to get the messages right.
(0023702)
neil (administrator)
2013-08-10 10:59
edited on: 2013-08-10 11:00

Applied in trunk (0.13-a0-2667-gba29f88), thanks! I made it keep the old behaviour when the user has set "auto_list = false".


- Issue History
Date Modified Username Field Change
2013-04-13 01:04 dpeg New Issue
2013-04-14 18:08 BlackSheep File Added: 0001-Make-scrolls-of-amnesia-display-the-spell-list-immed.patch
2013-04-14 18:09 BlackSheep Note Added: 0022286
2013-04-27 02:57 BlackSheep Tag Attached: patch
2013-08-10 10:24 neil Status new => assigned
2013-08-10 10:24 neil Assigned To => neil
2013-08-10 10:59 neil Note Added: 0023702
2013-08-10 10:59 neil Status assigned => resolved
2013-08-10 10:59 neil Fixed in Branch => 0.13 development branch
2013-08-10 10:59 neil Resolution open => done
2013-08-10 11:00 neil Note Edited: 0023702


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker